Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.rwt.service
Interface IServiceStore

public interface IServiceStore

The `IServiceStore` can be used to store and retrieve information during a life cycle request.

Note: the `IServiceStore` has request-scope, meaning that all information stored here will be lost at the end of a request.

See Also:
  `RWT`

Method Summary
`Object` `getAttribute(String key)`
`void` `setAttribute(String key, Object value)`

Method Detail

### getAttribute

    public Object getAttribute(String key)

### setAttribute

    public void setAttribute(String key,
                             Object value)

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.